about summary refs log tree commit diff
path: root/test/Available-Testprog
diff options
context:
space:
mode:
Diffstat (limited to 'test/Available-Testprog')
-rwxr-xr-xtest/Available-Testprog27
1 files changed, 25 insertions, 2 deletions
diff --git a/test/Available-Testprog b/test/Available-Testprog
index 67df13c1..8176b57a 100755
--- a/test/Available-Testprog
+++ b/test/Available-Testprog
@@ -15,6 +15,10 @@ fi
 # Normal operation: Walk through the argument list and exit if an
 # unavailable program is encountered.
 
+# See http://netpbm.sourceforge.net/prereq.html and the makefiles in
+# each directory (for example converter/other/Makefile) for library
+# requirements and relevant variables.
+
 for i in $@
     do
     case $i in
@@ -39,14 +43,33 @@ for i in $@
       pnmtotiff|\
       pnmtotiffcmyk|\
       tifftopnm)
-        [ "${TIFFLIB}" = "NONE" ] && exit 1 ;;
+        [ "${TIFFLIB}" = "NONE" -o \
+          "${JPEGLIB}" = "NONE" -o \
+          "${ZLIB}" = "NONE" ] && exit 1 ;;
 
       pnmtorle|\
       rletopnm)
         [ "${URTLIB}" = "NONE" ] && exit 1 ;;
 
+      pamx)
+        [ "${X11LIB}" = "NONE" ] && exit 1 ;;
+
+      svgtopam)
+        [ "${XML2_LIBS}" = "NONE" ] && exit 1 ;;
+
+      thinkjettopbm)
+        [ -z "${LEX}" ] && exit 1 ;;
+
+      zlib)
+        [ "${ZLIB}" = "NONE" ] && exit 1 ;;
+
     esac
 done
 
 # All checks passed.  Exit with success status.
-exit 0
\ No newline at end of file
+exit 0
+
+
+# TODO: We don't have a good method for testing whether PNGLIB is
+# available for linking.
+# Affected programs: pamtopng, pngtopam, pngtopnm, pnmtopng